<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Common\Controllers\CustomerPersonalDataController;
use App\Http\ApiV1\Modules\Common\Controllers\SettingsController;
use App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController;
use App\Http\ApiV1\Modules\Orders\Controllers\OrderFilesController;
use App\Http\ApiV1\Modules\Orders\Controllers\OrderItemsController;
use App\Http\ApiV1\Modules\Orders\Controllers\OrdersController;
use App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController;
use App\Http\ApiV1\Modules\Refunds\Controllers\RefundsController;
use Illuminate\Support\Facades\Route;

Route::post('orders/deliveries:search', [DeliveriesController::class, 'search']);
Route::get('orders/deliveries/{id}', [DeliveriesController::class, 'get']);
Route::patch('orders/deliveries/{id}', [DeliveriesController::class, 'patch']);
Route::post('orders/orders/{id}:add-order-items', [OrderItemsController::class, 'add']);
Route::post('orders/orders/{id}:delete-order-items', [OrderItemsController::class, 'delete']);
Route::post('orders/orders/{id}:change-order-items-qty', [OrderItemsController::class, 'changeQty']);
Route::post('orders/orders:search', [OrdersController::class, 'search']);
Route::get('orders/orders/{id}', [OrdersController::class, 'get']);
Route::patch('orders/orders/{id}', [OrdersController::class, 'patch']);
Route::post('orders/orders/{id}:start-payment', [OrdersController::class, 'paymentStart']);
Route::get('orders/orders/{id}:check-payment', [OrdersController::class, 'paymentCheck']);
Route::post('orders/orders/{id}:change-payment-method', [OrdersController::class, 'changePaymentSystem']);
Route::post('orders/orders/{id}:change-delivery', [OrdersController::class, 'changeDelivery']);
Route::put('orders/orders/{id}:comment', [OrdersController::class, 'addComment']);
Route::post('orders/orders:commit', [OrdersController::class, 'commit']);
Route::post('orders/orders/{id}:attach-file', [OrderFilesController::class, 'attach']);
Route::delete('orders/orders/{id}:delete-files', [OrderFilesController::class, 'delete']);
Route::post('orders/shipments:search', [ShipmentsController::class, 'search']);
Route::get('orders/shipments/{id}', [ShipmentsController::class, 'get']);
Route::patch('orders/shipments/{id}', [ShipmentsController::class, 'patch']);
Route::get('common/settings', [SettingsController::class, 'search']);
Route::patch('common/settings', [SettingsController::class, 'patchSeveral']);
Route::post('common/customer-personal-data:check-conditions-to-delete', [CustomerPersonalDataController::class, 'checkConditionsToDelete']);
Route::post('common/customer-personal-data:delete', [CustomerPersonalDataController::class, 'delete']);
Route::post('refunds/refunds', [RefundsController::class, 'create']);
Route::post('refunds/refunds:search', [RefundsController::class, 'search']);
Route::get('refunds/refunds/{id}', [RefundsController::class, 'get']);
Route::patch('refunds/refunds/{id}', [RefundsController::class, 'patch']);
Route::post('refunds/refunds/{id}:attach-file', [RefundsController::class, 'attach']);
Route::delete('refunds/refunds/{id}:delete-files', [RefundsController::class, 'deleteFiles']);
Route::get('refunds/refund-reasons', [RefundsController::class, 'getRefundReasons']);
Route::post('refunds/refund-reasons', [RefundsController::class, 'createReason']);
Route::patch('refunds/refund-reasons/{id}', [RefundsController::class, 'patchReason']);
